Subject: [calsify] Shall we meet in Prague? (also: what shall we work on?)

From: "Bron Gondwana" <[email-masked]>
Date: Mon, 28 Jan 2019 18:12:21 -0500

Hi all,

It's getting on time to submit meeting requests for the next face-to-face IETF meeting!

We have two documents that are waiting for revised drafts:

* eventpub-extensions-10 <https://datatracker.ietf.org/doc/draft-ietf-calext-eventpub-extensions/>
* caldav-attachments-03 <https://datatracker.ietf.org/doc/draft-ietf-calext-caldav-attachments/>

As well as the almost ready to go jscalendar:

* jscalendar-11 <https://datatracker.ietf.org/doc/draft-ietf-calext-jscalendar/>

I know there's also interest in bringing other items of work to this group. From memory things that I've seen mentioned include:

* caldav-scheduling-controls (author: me, when I write it up!) - a new header "Scheduling-Enabled: F" to disable all scheduling when storing a resource to a server. Good for restoring from backup as well as a way to avoid sending updates more generally while cleaning up spam, rather than the current "Schedule-Reply: F" which is only for resources where you are not the organizer.

* caldav-upgrade - a header returned by a server to tell a client that a .ics feed is also available via read-only caldav, allowing clients to use sync-collection for more efficient updates.

* caldav-push - a method for delivering push updates when a calendar is changed, allowing clients to avoid polling.

* caldav-server-side-subscriptions - a method for federating caldav calendars (potentially with local cached copy) such that the server acts as a client to another server, aggregating calendars from multiple servers into a single homeset.

* calendar autodiscovery - I'm not sure if that's coming to this group, or if there's going to be an attempt at renewing the more general service autodiscovery discussion. My notes from last calconnect said it would go to DISPATCH, but I didn't make it to the Monday of Bangkok, so I missed out.

....

Does anybody have any other work that they want to bring to this group, or appetite to work on any of the above? I'd love to get this group flowing smoothly and improving calendaring for everybody! I'll be at CalConnect in Zurich next week, and I'll be asking everyone there to get involved over here as well.

Submissions for sessions are due Feb 8th at the latest, so do let us know if you'll be present at Prague (or joining remotely) and have something to talk about!

Cheers,

Bron (on behalf of the calext chairs)

--
 Bron Gondwana, CEO, FastMail Pty Ltd
 [email-masked]